> For the complete documentation index, see [llms.txt](https://docs.scanner.dev/scanner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scanner.dev/scanner/using-scanner-complete-feature-reference/querying-and-analysis/aggregation-functions/avg.md).

# avg()

`avg(col)` returns the average (mean) of the values in the provided column.

Non-numeric values are ignored. If the provided column does not have any numeric values or the column does not exist, `avg` will return `null`.

## Returns

A table with one row and one column, called `@q.avg`.

## Example

Compute the averaged elapsed time in milliseconds for requests in the **checkout\_api** service, aggregated by **host**.

```python
kubernetes.container_name: "checkout_api"
| stats avg(log.elapsed_ms) by host
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scanner.dev/scanner/using-scanner-complete-feature-reference/querying-and-analysis/aggregation-functions/avg.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
